clang 10.0.0git

Public Types | Public Attributes | List of all members
ReadySuspendResumeResult Struct Reference
Collaboration diagram for ReadySuspendResumeResult:
[legend]

## Public Types
enum | AwaitCallType { ACT_Ready, ACT_Suspend, ACT_Resume }

## Public Attributes
Expr * | Results [3]
OpaqueValueExpr * | OpaqueValue
bool | IsInvalid

## Detailed Description

Definition at line 340 of file SemaCoroutine.cpp.

## Member Enumeration Documentation

## ◆ AwaitCallType

enum ReadySuspendResumeResult::AwaitCallType

Enumerator
ACT_Ready |
ACT_Suspend |
ACT_Resume |

Definition at line 341 of file SemaCoroutine.cpp.

## Member Data Documentation

## ◆ IsInvalid

bool ReadySuspendResumeResult::IsInvalid

Definition at line 344 of file SemaCoroutine.cpp.

## ◆ OpaqueValue

OpaqueValueExpr* ReadySuspendResumeResult::OpaqueValue

Definition at line 343 of file SemaCoroutine.cpp.

## ◆ Results

Expr* ReadySuspendResumeResult::Results[3]

Definition at line 342 of file SemaCoroutine.cpp.

The documentation for this struct was generated from the following file:

- lib/Sema/SemaCoroutine.cpp